%define _use_internal_dependency_generator 0

Summary: XML-Simple perl module
Name: perl-XML-Simple
Version: 2.14
Release: 0gls
License: distributable
Group: Applications/CPAN
Source0: XML-Simple-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot/
BuildRequires: perl >= 5.6
Requires: perl >= 5.6
BuildArch: noarch

%description
XML::Simple is an easy API to maintain XML (esp config files)

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n XML-Simple-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Apr 26 2005 Gabriel Somlo <somlo@acns.colostate.edu>
- initial spec file swiped from some other existing FC2 perl-Something.spec
